## dhcpcd5 5.2.8

=== debian/changelog ===
dhcpcd5 (5.2.8-1) unstable; urgency=low

  * New upstream release

 -- Roy Marples <roy@marples.name>  Fri, 22 Oct 2010 19:47:32 +0100

dhcpcd5 (5.2.7-3) unstable; urgency=low

  * Initial upload to Debian (closes: #594672)

 -- Roy Marples <roy@marples.name>  Tue, 23 Sep 2010 10:57:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -- --prefix= --libexecdir=/lib/dhcpcd \
		--mandir=/usr/share/man --dbdir=/var/lib/dhcpcd5 \
		--with-hooks=ntp

override_dh_installinit:
	dh_installinit --name=dhcpcd --no-start

override_dh_install:
	dh_install
	mv debian/dhcpcd5/sbin/dhcpcd debian/dhcpcd5/sbin/dhcpcd5
	mv debian/dhcpcd5/usr/share/man/man8/dhcpcd.8 \
		debian/dhcpcd5/usr/share/man/man8/dhcpcd5.8

%:
	dh $@

## dhcpcd5 6.0.5

=== Makefile ===
# dhcpcd Makefile

PROG=		dhcpcd
SRCS=		common.c control.c dhcpcd.c duid.c eloop.c
SRCS+=		if-options.c if-pref.c net.c script.c
SRCS+=		dhcp-common.c

CFLAGS?=	-O2
CSTD?=		c99
include config.mk
CFLAGS+=	-std=${CSTD}

OBJS+=		${SRCS:.c=.o} ${COMPAT_SRCS:.c=.o}

SCRIPT=		${LIBEXECDIR}/dhcpcd-run-hooks
HOOKDIR=	${LIBEXECDIR}/dhcpcd-hooks

MAN5=		dhcpcd.conf.5
MAN8=		dhcpcd.8 dhcpcd-run-hooks.8
CLEANFILES=	dhcpcd.conf.5 dhcpcd.8 dhcpcd-run-hooks.8

SCRIPTS=	dhcpcd-run-hooks
SCRIPTSDIR=	${LIBEXECDIR}
CLEANFILES+=	dhcpcd-run-hooks
CLEANFILES+=	.depend

FILES=		dhcpcd.conf
FILESDIR=	${SYSCONFDIR}

SUBDIRS=	dhcpcd-hooks

SED_DBDIR=		-e 's:@DBDIR@:${DBDIR}:g'
SED_HOOKDIR=		-e 's:@HOOKDIR@:${HOOKDIR}:g'
SED_SERVICEEXISTS=	-e 's:@SERVICEEXISTS@:${SERVICEEXISTS}:g'
SED_SERVICECMD=		-e 's:@SERVICECMD@:${SERVICECMD}:g'
SED_SERVICESTATUS=	-e 's:@SERVICESTATUS@:${SERVICESTATUS}:g'
SED_SCRIPT=		-e 's:@SCRIPT@:${SCRIPT}:g'
SED_SYS=		-e 's:@SYSCONFDIR@:${SYSCONFDIR}:g'

_DEPEND_SH=	test -e .depend && echo ".depend" || echo ""
_DEPEND!=	${_DEPEND_SH}
DEPEND=		${_DEPEND}$(shell ${_DEPEND_SH})

_VERSION_SH=	sed -n 's/\#define VERSION[[:space:]]*"\(.*\)".*/\1/p' defs.h
_VERSION!=	${_VERSION_SH}
VERSION=	${_VERSION}$(shell ${_VERSION_SH})

GITREF?=	HEAD
DISTPREFIX?=	${PROG}-${VERSION}
DISTFILE?=	${DISTPREFIX}.tar.bz2

CLEANFILES+=	*.tar.bz2

.PHONY:		import import-bsd

.SUFFIXES:	.in

.in:
	${SED} ${SED_DBDIR} ${SED_HOOKDIR} ${SED_SCRIPT} ${SED_SYS} \
		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
		$< > $@

all: config.h ${PROG} ${SCRIPTS} ${MAN5} ${MAN8}

.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

.depend: ${SRCS} ${COMPAT_SRCS}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${COMPAT_SRCS} > .depend

depend: .depend

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

_proginstall: ${PROG}
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${SBINDIR}
	${INSTALL} -d ${DESTDIR}${DBDIR}

_scriptsinstall: ${SCRIPTS}
	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
	${INSTALL} -m ${BINMODE} ${SCRIPTS} ${DESTDIR}${SCRIPTSDIR}

_maninstall: ${MAN5} ${MAN8}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man5
	${INSTALL} -m ${MANMODE} ${MAN5} ${DESTDIR}${MANDIR}/man5
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} ${MAN8} ${DESTDIR}${MANDIR}/man8

_confinstall:
	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}

install: _proginstall _scriptsinstall _maninstall _confinstall
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}

distclean: clean
	rm -f .depend config.h config.mk

dist:
	git archive --prefix=${DISTPREFIX}/ ${GITREF} | bzip2 > ${DISTFILE}

import:
	rm -rf /tmp/${DISTPREFIX}
	${INSTALL} -d /tmp/${DISTPREFIX}
	cp ${SRCS} dhcpcd.conf *.in /tmp/${DISTPREFIX}
	cp $$(${CC} ${CPPFLAGS} -MM ${SRCS} | \
		sed -e 's/^.*\.c //g' -e 's/.*\.c$$//g' -e 's/\\//g' | \
		tr ' ' '\n' | \
		sed -e '/^compat\//d' | \
		sort -u) /tmp/${DISTPREFIX}
	if test -n "${COMPAT_SRCS}"; then \
		${INSTALL} -d /tmp/${DISTPREFIX}/compat; \
		cp ${COMPAT_SRCS} /tmp/${DISTPREFIX}/compat; \
		cp $$(${CC} ${CPPFLAGS} -MM ${COMPAT_SRCS} | \
			sed -e 's/^.*c //g' -e 's/.*\.c$$//g' -e 's/\\//g' | \
			tr ' ' '\n' | \
			sort -u) /tmp/${DISTPREFIX}/compat; \
	fi;
	if test -n "${IMPORT_RCSID}"; then \
		for x in \
		    /tmp/${DISTPREFIX}/*.c \
		    /tmp/${DISTPREFIX}/compat/*.c \
		; do \
			if test -e "$$x"; then \
				printf "${IMPORT_RCSID}\n\n" >"$$x".new; \
				cat "$$x" >>"$$x".new; \
				mv "$$x".new "$$x"; \
			fi; \
		done; \
	fi;
	if test -n "${IMPORT_HID}"; then \
		for x in \
		    /tmp/${DISTPREFIX}/*.h \
		    /tmp/${DISTPREFIX}/compat/*.h \
		; do \
			if test -e "$$x"; then \
				printf "${IMPORT_HID}\n\n" >"$$x".new; \
				cat "$$x" >>"$$x".new; \
				mv "$$x".new "$$x"; \
			fi; \
		done; \
	fi;
	if test -n "${IMPORT_MANID}"; then \
		for x in \
		    /tmp/${DISTPREFIX}/dhcpcd.8.in \
		    /tmp/${DISTPREFIX}/dhcpcd-run-hooks.8.in \
		    /tmp/${DISTPREFIX}/dhcpcd.conf.5.in \
		; do \
			if test -e "$$x"; then \
				printf "${IMPORT_MANID}\n" >"$$x".new; \
				cat "$$x" >>"$$x".new; \
				mv "$$x".new "$$x"; \
			fi; \
		done; \
	fi;
	if test -n "${IMPORT_SHID}"; then \
		for x in \
		    /tmp/${DISTPREFIX}/dhcpcd-run-hooks.in \
		    /tmp/${DISTPREFIX}/dhcpcd.conf \
		; do \
			if test -e "$$x"; then \
				if test "$$(sed -ne 1p $$x)" = "#!/bin/sh" \
				; then \
					echo "#!/bin/sh" > "$$x".new; \
					printf "${IMPORT_SHID}\n" >>"$$x".new; \
					echo "" >>"$$x".new; \
					sed 1d "$$x" >>"$$x".new; \
				else \
					printf "${IMPORT_SHID}\n" >>"$$x".new; \
					echo "" >>"$$x".new; \
					cat "$$x" >>"$$x".new; \
				fi; \
				mv "$$x".new "$$x"; \
			fi; \
		done; \
	fi;
	cd dhcpcd-hooks; ${MAKE} DISTPREFIX=${DISTPREFIX} $@

include Makefile.inc

=== dhcpcd-hooks/Makefile ===
TOP?=	../
include ${TOP}/Makefile.inc
include ${TOP}/config.mk

SCRIPTSDIR=	${LIBEXECDIR}/dhcpcd-hooks
SCRIPTS=	01-test 02-dump
SCRIPTS+=	10-mtu 10-wpa_supplicant 15-timezone 20-resolv.conf
SCRIPTS+=	29-lookup-hostname 30-hostname
SCRIPTS+=	${HOOKSCRIPTS}

all:

install:
	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
	${INSTALL} -m ${NONBINMODE} ${SCRIPTS} ${DESTDIR}${SCRIPTSDIR}

import:
	${INSTALL} -d /tmp/${DISTPREFIX}/dhcpcd-hooks
	for x in ${SCRIPTS}; do \
		t="/tmp/${DISTPREFIX}/dhcpcd-hooks/$$x"; \
		if test "$$(sed -ne 1p $$x)" = "#!/bin/sh"; then \
			echo "#!/bin/sh" >"$$t"; \
			printf "${IMPORT_SHID}\n" >>"$$t"; \
			echo "" >>"$$t"; \
			sed 1d "$$x" >>"$$t"; \
		else \
			printf "${IMPORT_SHID}\n" >"$$t"; \
			echo "" >>"$$t"; \
			cat "$$x" >>"$$t"; \
		fi; \
	done;

## dhcpcd5 5.2.12

=== debian/changelog ===
dhcpcd5 (5.2.12-1) unstable; urgency=medium

  * New upstream release

 -- Roy Marples <roy@marples.name>  Wed, 6 Mar 2011 10:16:22 +0100

dhcpcd5 (5.2.11-1) unstable; urgency=low

  * New upstream release

 -- Roy Marples <roy@marples.name>  Mon, 28 Feb 2011 20:35:37 +0100

=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Maintainer: Roy Marples <roy@marples.name>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://roy.marples.name/projects/dhcpcd

Package: dhcpcd5
Provides: dhcp-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
Recommends: openresolv
Suggests: dhcpcd-gtk
Description: RFC2131 compliant DHCP client with IPv4LL support
 dhcpcd is a one stop IPv4 network management daemon which includes
  * RFC2131 compliant DHCP client
  * IPv4LL (aka ZeroConf) support
  * ARP address conflict resolution
  * Link carrier detection
  * Wireless SSID profiles
  * ARP ping profiles

## dhcpcd5 5.5.6

=== debian/changelog ===
dhcpcd5 (5.5.6-1) unstable; urgency=medium

  * New upstream release
  * 50-ntp.conf now checks for a valid /etc/ntp.conf (closes: 630420)
  * Works better with netlink messages to work on bridges (closes: 634331)

 -- Roy Marples <roy@marples.name>  Sun, 1 Apr 2012 09:03:27 +0100

=== debian/watch ===
version=3
ftp://roy.marples.name/pub/dhcpcd/dhcpcd-(.*)\.tar\.bz2 debian uupdate

## dhcpcd5 6.0.5

=== debian/changelog ===
dhcpcd5 (6.0.5-2build0.14.04.1) trusty-security; urgency=medium

  * fake sync from Debian

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 22 Jan 2019 14:35:03 -0500

dhcpcd5 (6.0.5-2) unstable; urgency=medium

  * QA upload.

  [ Pierre Schweitzer ]
  * Fix denial of service (CVE-2014-6060) in dhcpcd5. (Closes: #770043).

  [ Salvatore Bonaccorso ]
  * Refresh CVE-2014-6060.patch (offset)
  * Update patch headers for CVE-2014-6060.patch.
    Wrap long lines in fields and use Description field.
    Add Applied-Upstream value.
  * Set Maintainer to Debian QA Group (cf. #770082)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 19 Nov 2014 17:08:30 +0100

dhcpcd5 (6.0.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules (taken from Ubuntu, thanks!):
      - If config.mk doesn't exist, don't try to run dh_auto_clean.
        This fixes a FTBFS. (Closes: #723967) (LP: #1251776)
  * Add missing include for platform-bsd using patch from Petr Salinger
    (Closes: #719588)

 -- Christoph Egger <christoph@debian.org>  Wed, 04 Dec 2013 14:47:10 +0100

dhcpcd5 (6.0.5-1) unstable; urgency=medium

  * New upstream release

 -- Roy Marples <roy@marples.name>  Sun, 4 Aug 2013 08:00:44 +0100

dhcpcd5 (6.0.2-1) unstable; urgency=medium

  * New upstream release
  * recommend the resolvconf package as well (closes: 705759)
  * -t 0 works (closes: 707705)

 -- Roy Marples <roy@marples.name>  Tue, 25 Jun 2013 14:29:02 +0100

=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.4.0
Homepage: http://roy.marples.name/projects/dhcpcd

Package: dhcpcd5
Provides: dhcp-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
Recommends: openresolv | resolvconf
Suggests: dhcpcd-gtk
Description: DHCPv4, IPv6RA and DHCPv6 client with IPv4LL support
 dhcpcd is a one stop network management daemon which includes
  * RFC compliant DHCPv4 and DHCPv6 clients
  * DHCPv6 Prefix Delegation support
  * IPv4LL (aka ZeroConf) support
  * ARP address conflict resolution
  * Link carrier detection
  * Wireless SSID profiles
  * ARP ping profiles

=== debian/watch ===
version=3
ftp://roy.marples.name/pub/dhcpcd/dhcpcd-([0-9\.]*)\.tar\.bz2 debian uupdate

## dhcpcd5 6.9.1

=== Makefile ===
# dhcpcd Makefile

PROG=		dhcpcd
SRCS=		common.c control.c dhcpcd.c duid.c eloop.c
SRCS+=		if.c if-options.c script.c
SRCS+=		dhcp-common.c

CFLAGS?=	-O2
MKDIRS=

TOP?=		.
include ${TOP}/iconfig.mk

CSTD?=		c99
CFLAGS+=	-std=${CSTD}

SRCS+=		${DHCPCD_SRCS}

SRCS+=		auth.c
CPPFLAGS+=	-I./crypt
CRYPT_SRCS=	crypt/hmac_md5.c ${MD5_SRC} ${SHA256_SRC}

OBJS+=		${SRCS:.c=.o} ${COMPAT_SRCS:.c=.o} ${CRYPT_SRCS:.c=.o}

SCRIPT=		${LIBEXECDIR}/dhcpcd-run-hooks
HOOKDIR=	${LIBEXECDIR}/dhcpcd-hooks

MAN5=		dhcpcd.conf.5
MAN8=		dhcpcd.8 dhcpcd-run-hooks.8
CLEANFILES=	dhcpcd.conf.5 dhcpcd.8 dhcpcd-run-hooks.8

SCRIPTS=	dhcpcd-run-hooks
SCRIPTSDIR=	${LIBEXECDIR}
CLEANFILES+=	dhcpcd-run-hooks

FILES=		dhcpcd.conf
FILESDIR=	${SYSCONFDIR}

SUBDIRS=	dhcpcd-hooks ${MKDIRS}

SED_RUNDIR=		-e 's:@RUNDIR@:${RUNDIR}:g'
SED_DBDIR=		-e 's:@DBDIR@:${DBDIR}:g'
SED_LIBDIR=		-e 's:@LIBDIR@:${LIBDIR}:g'
SED_HOOKDIR=		-e 's:@HOOKDIR@:${HOOKDIR}:g'
SED_SERVICEEXISTS=	-e 's:@SERVICEEXISTS@:${SERVICEEXISTS}:g'
SED_SERVICECMD=		-e 's:@SERVICECMD@:${SERVICECMD}:g'
SED_SERVICESTATUS=	-e 's:@SERVICESTATUS@:${SERVICESTATUS}:g'
SED_SCRIPT=		-e 's:@SCRIPT@:${SCRIPT}:g'
SED_SYS=		-e 's:@SYSCONFDIR@:${SYSCONFDIR}:g'

DEPEND!=	test -e .depend && echo ".depend" || echo ""
VERSION!=	sed -n 's/\#define VERSION[[:space:]]*"\(.*\)".*/\1/p' defs.h

FOSSILID?=	current

DISTPREFIX?=	${PROG}-${VERSION}
DISTFILEGZ?=	${DISTPREFIX}.tar.gz
DISTFILE?=	${DISTPREFIX}.tar.xz

HOST_SH?=	/bin/sh

CLEANFILES+=	*.tar.xz

.PHONY:		import import-bsd dev test

.SUFFIXES:	.in

.in:
	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
		${SED_SYS} ${SED_SCRIPT} \
		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
		$< > $@

all: config.h ${PROG} ${SCRIPTS} ${MAN5} ${MAN8}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

dev:
	cd dev && ${MAKE}

.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

CLEANFILES+=	dhcpcd-embedded.h dhcpcd-embedded.c

dhcpcd-embedded.h: genembedh dhcpcd-definitions.conf dhcpcd-embedded.h.in
	${HOST_SH} ${.ALLSRC} $^ > $@

dhcpcd-embedded.c: genembedc dhcpcd-definitions.conf dhcpcd-embedded.h
	${HOST_SH} ${.ALLSRC} $^ > $@

if-options.c: dhcpcd-embedded.h

.depend: ${SRCS} ${COMPAT_SRCS} ${CRYPT_SRCS}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${COMPAT_SRCS} ${CRYPT_SRCS} > .depend

depend: .depend

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

test:
	cd $@; ${MAKE} $@; ./$@

_embeddedinstall: dhcpcd-definitions.conf
	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
	${INSTALL} -m ${CONFMODE} dhcpcd-definitions.conf ${DESTDIR}${SCRIPTSDIR}

_proginstall: ${PROG}
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${SBINDIR}
	${INSTALL} -d ${DESTDIR}${DBDIR}

_scriptsinstall: ${SCRIPTS}
	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
	${INSTALL} -m ${BINMODE} ${SCRIPTS} ${DESTDIR}${SCRIPTSDIR}

proginstall: _proginstall _scriptsinstall ${EMBEDDEDINSTALL}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

_maninstall: ${MAN5} ${MAN8}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man5
	${INSTALL} -m ${MANMODE} ${MAN5} ${DESTDIR}${MANDIR}/man5
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} ${MAN8} ${DESTDIR}${MANDIR}/man8

_confinstall:
	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}

install: proginstall _maninstall _confinstall

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}
	for x in ${SUBDIRS} test; do cd $$x; ${MAKE} $@; cd ..; done

distclean: clean
	rm -f .depend config.h config.mk config.log

dist:
	fossil tarball --name ${DISTPREFIX} ${FOSSILID} ${DISTFILEGZ}
	gunzip -c ${DISTFILEGZ} | xz >${DISTFILE}
	rm ${DISTFILEGZ}

snapshot:
	rm -rf /tmp/${DISTPREFIX}
	${INSTALL} -d /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	cd /tmp/${DISTPREFIX} && ${MAKE} distclean
	cd /tmp && tar -cvjpf ${DISTFILE} ${DISTPREFIX}
	mv /tmp/${DISTFILE} .
	ls -l ${DISTFILE}

import: ${SRCS}
	rm -rf /tmp/${DISTPREFIX}
	${INSTALL} -d /tmp/${DISTPREFIX}
	cp ${SRCS} dhcpcd.conf dhcpcd-definitions.conf *.in /tmp/${DISTPREFIX}
	cp $$(${CC} ${CPPFLAGS} -DDEPGEN -MM ${SRCS} | \
		sed -e 's/^.*\.c //g' -e 's/.*\.c$$//g' -e 's/\\//g' | \
		tr ' ' '\n' | \
		sed -e '/^compat\//d' | \
		sed -e '/^crypt\//d' | \
		sort -u) /tmp/${DISTPREFIX}; \
	if test -n "${CRYPT_SRCS}"; then \
		${INSTALL} -d /tmp/${DISTPREFIX}/crypt; \
		cp ${CRYPT_SRCS} /tmp/${DISTPREFIX}/crypt; \
		cp $$(${CC} ${CPPFLAGS} -DDEPGEN -MM ${CRYPT_SRCS} | \
			sed -e 's/^.*c //g' -e 's/.*\.c$$//g' -e 's/\\//g' | \
			tr ' ' '\n' | sed -e '/\/\.\.\//d'  | \
			sort -u) /tmp/${DISTPREFIX}/crypt; \
	fi;
	if test -n "${COMPAT_SRCS}"; then \
		${INSTALL} -d /tmp/${DISTPREFIX}/compat; \
		cp ${COMPAT_SRCS} /tmp/${DISTPREFIX}/compat; \
		cp $$(${CC} ${CPPFLAGS} -DDEPGEN -MM ${COMPAT_SRCS} | \
			sed -e 's/^.*c //g' -e 's/.*\.c$$//g' -e 's/\\//g' | \
			tr ' ' '\n' | \
			sort -u) /tmp/${DISTPREFIX}/compat; \
	fi;
	cd dhcpcd-hooks; ${MAKE} DISTPREFIX=${DISTPREFIX} $@

include Makefile.inc

=== debian/changelog ===
dhcpcd5 (6.9.1-1) unstable; urgency=medium

  * QA Upload.
  * New upstream release. Closes: #791558
  * Update d/watch file

 -- Daniel Echeverry <epsilon77@gmail.com>  Sun, 26 Jul 2015 17:35:55 -0500

dhcpcd5 (6.9.0-1) unstable; urgency=low

  * QA Upload
  * New upstream release. Closes: #786772 #758713 #782085
  * debian/control
    + Change Replaces instead conflicts field
    + Bump Standards-Version 3.9.6
      + Update to DEP5 copyright format 1.0
  * debian/rules
    + Add DEB_HOST_GNU_TYPE and DEB_BUILD_GNU_TYPE
  * debian/patches
    + Add fix_ftbfs_kfreebsd.diff patch
      + Fix ftbfs on kfreebsd Closes: #770464
    + Add fix_manpage.diff patch
      * Fix lintian warning
    + Remove CVE-2014-6060.patch patch
      + Merge with upstream
    + Remove kfreebsd.diff patch
      * Upstream removed platform-bsd.c file in new version
  * debian/prerm
    + Replace bashim with set -e
  * debian/postint
    + Replace bashim with set -e
  * debian/postrm
    + Replace bashim with set -e

 -- Daniel Echeverry <epsilon77@gmail.com>  Wed, 03 Jun 2015 10:43:23 -0500

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4.0
+Standards-Version: 3.9.6
 Homepage: http://roy.marples.name/projects/dhcpcd
 
 Package: dhcpcd5
 Provides: dhcp-client
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
+Replaces: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
 Recommends: openresolv | resolvconf
 Suggests: dhcpcd-gtk
 Description: DHCPv4, IPv6RA and DHCPv6 client with IPv4LL support

=== debian/rules ===
#!/usr/bin/make -f
DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

%:
	dh $@

override_dh_auto_clean:
	[ ! -f config.mk ] || dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- --prefix= --libexecdir=/lib/dhcpcd \
		--mandir=/usr/share/man --dbdir=/var/lib/dhcpcd5 \
		--with-hooks=ntp --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE)

override_dh_installinit:
	dh_installinit --name=dhcpcd --no-start

override_dh_install:
	dh_install
	mv debian/dhcpcd5/sbin/dhcpcd debian/dhcpcd5/sbin/dhcpcd5
	mv debian/dhcpcd5/usr/share/man/man8/dhcpcd.8 \
		debian/dhcpcd5/usr/share/man/man8/dhcpcd5.8

## dhcpcd5 6.9.3

=== debian/changelog ===
dhcpcd5 (6.9.3-1) unstable; urgency=medium

  * New upstream release
    - Fixed Multiplication of IPv6 addresses by upstream (Closes: #791582)
    - Fixed dhcpcd doesn't configure chrony by upstream (Closes: #791583)
  * New maintainer (Closes: #770082)
  * Remove lintian overrides.
  * d/dhcpd5.init:
      - Added $remote_fs for script init.d

 -- Jose dos Santos Junior <j.s.junior@live.com>  Mon, 14 Sep 2015 12:11:25 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dhcpcd5
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: http://roy.marples.name/projects/dhcpcd

## dhcpcd5 6.10.1

=== Makefile ===
--- 
+++ 
@@ -41,6 +41,7 @@
 SED_RUNDIR=		-e 's:@RUNDIR@:${RUNDIR}:g'
 SED_DBDIR=		-e 's:@DBDIR@:${DBDIR}:g'
 SED_LIBDIR=		-e 's:@LIBDIR@:${LIBDIR}:g'
+SED_DATADIR=		-e 's:@DATADIR@:${DATADIR}:g'
 SED_HOOKDIR=		-e 's:@HOOKDIR@:${HOOKDIR}:g'
 SED_SERVICEEXISTS=	-e 's:@SERVICEEXISTS@:${SERVICEEXISTS}:g'
 SED_SERVICECMD=		-e 's:@SERVICECMD@:${SERVICECMD}:g'
@@ -67,7 +68,7 @@
 
 .in:
 	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
-		${SED_SYS} ${SED_SCRIPT} \
+		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
 		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
 		$< > $@
 
@@ -128,7 +129,10 @@
 	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
 		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}
 
-install: proginstall _maninstall _confinstall
+eginstall:
+	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done
+
+install: proginstall _maninstall _confinstall eginstall
 
 clean:
 	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}

=== dev/Makefile ===
TOP?=	../
include ${TOP}/Makefile.inc
include ${TOP}/config.mk

CFLAGS?=	-O2
CSTD?=		c99
CFLAGS+=	-std=${CSTD}

DEVDIR=		${LIBDIR}/dhcpcd/dev
DSRC=		${DEV_PLUGINS:=.c}
DOBJ=		${DSRC:.c=.o}
DSOBJ=		${DOBJ:.o=.So}
DPLUGS=		${DEV_PLUGINS:=.so}

CLEANFILES+=	${DSOBJ} ${DPLUGS}

.SUFFIXES:	.So .so

.c.So:
	${CC} ${PICFLAG} -DPIC ${CPPFLAGS} ${CFLAGS} -c $< -o $@

.So.so: ${DSOBJ}
	${CC} ${LDFLAGS} -shared -Wl,-x -o $@ -Wl,-soname,$@ \
	    $< ${LIBS}

all: ${DPLUGS}

udev.So:
CFLAGS+=	${LIBUDEV_CFLAGS}
CPPFLAGS+=	${LIBUDEV_CPPFLAGS}

udev.so:
LIBS+=		${LIBUDEV_LIBS}

proginstall: ${DPLUGS}
	${INSTALL} -d ${DESTDIR}${DEVDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DPLUGS} ${DESTDIR}${DEVDIR}

eginstall:

install: proginstall

clean:
	rm -f ${CLEANFILES}

=== test/Makefile ===
TOP?=	..
include ${TOP}/iconfig.mk

PROG=		test
SRCS=		test.c
SRCS+=		test_hmac_md5.c ../crypt/hmac_md5.c

CFLAGS?=	-O2
CSTD?=		c99
CFLAGS+=	-std=${CSTD}

CPPFLAGS+=	-I../crypt

T_COMPAT_SRCS=	${COMPAT_SRCS:compat/%=../compat/%}
T_MD5_SRC=	${MD5_SRC:crypt/%=../crypt/%}
OBJS+=		${SRCS:.c=.o} ${T_COMPAT_SRCS:.c=.o} ${T_MD5_SRC:.c=.o}

.c.o:
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

all: ${PROG}

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}

distclean: clean
	rm -f .depend

.depend: ${SRCS} ${T_COMPAT_SRCS} ${T_CRYPT_SRCS}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${T_COMPAT_SRCS} ${T_CRYPT_SRCS} > .depend

depend: .depend

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

=== debian/changelog ===
dhcpcd5 (6.10.1-1) unstable; urgency=medium

  * New upstream release (Closes: #813595)
  * Fix CVE-2016-1504 invalid read/crash 
     via malformed dhcp responses by upstream (Closes: #810620)
  * Fix CVE-2016-1503 heap overflow via malformed 
     dhcp responses in print_option (via dhcp_envoption1)
     due to incorrect option length values by upstream (Closes: #810621)
  * d/control:
     - Bump Standards-Version to 3.9.7
  * Fix dhcpcd5 FTBFS on kfreebsd-amd64
     and kfreebsd-i386 by upstream (Closes: #815338)
  * Fix Multiplication of IPv6 addresses by upstream (Closes: #791582)
  * d/rules:
     - Add hardening
  * d/patches:
     - fix-spelling-error for all older files
     - fix-spelling-error-in-manpage for manpage`s
  * d/dhcpcd5.lintian-overrides:
     - Add overrides for spelling error binary false positive
  * recommended revision in your dhcp by upstream (Closes: #799795)

 -- Jose dos Santos Junior <j.s.junior@live.com>  Mon, 04 Apr 2016 09:58:32 -0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://roy.marples.name/projects/dhcpcd
 
 Package: dhcpcd5

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 DEB_HOST_GNU_TYPE   := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

=== debian/watch ===
version=3
http://roy.marples.name/downloads/dhcpcd/dhcpcd-([0-9\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## dhcpcd5 6.11.5

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,12 @@
 
 CSTD?=		c99
 CFLAGS+=	-std=${CSTD}
+CPPFLAGS+=	-I./crypt
 
 SRCS+=		${DHCPCD_SRCS}
+DHCPCD_DEFS?=	dhcpcd-definitions.conf
 
-SRCS+=		auth.c
-CPPFLAGS+=	-I./crypt
-CRYPT_SRCS=	crypt/hmac_md5.c ${MD5_SRC} ${SHA256_SRC}
-
-OBJS+=		${SRCS:.c=.o} ${COMPAT_SRCS:.c=.o} ${CRYPT_SRCS:.c=.o}
+OBJS+=		${SRCS:.c=.o} ${CRYPT_SRCS:.c=.o} ${COMPAT_SRCS:.c=.o}
 
 SCRIPT=		${LIBEXECDIR}/dhcpcd-run-hooks
 HOOKDIR=	${LIBEXECDIR}/dhcpcd-hooks
@@ -46,6 +44,7 @@
 SED_SERVICEEXISTS=	-e 's:@SERVICEEXISTS@:${SERVICEEXISTS}:g'
 SED_SERVICECMD=		-e 's:@SERVICECMD@:${SERVICECMD}:g'
 SED_SERVICESTATUS=	-e 's:@SERVICESTATUS@:${SERVICESTATUS}:g'
+SED_STATUSARG=		-e 's:@STATUSARG@:${STATUSARG}:g'
 SED_SCRIPT=		-e 's:@SCRIPT@:${SCRIPT}:g'
 SED_SYS=		-e 's:@SYSCONFDIR@:${SYSCONFDIR}:g'
 
@@ -66,10 +65,11 @@
 
 .SUFFIXES:	.in
 
-.in:
+.in: Makefile config.mk
 	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
 		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
 		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
+		${SED_STATUSARG} \
 		$< > $@
 
 all: config.h ${PROG} ${SCRIPTS} ${MAN5} ${MAN8}
@@ -78,15 +78,15 @@
 dev:
 	cd dev && ${MAKE}
 
-.c.o:
+.c.o: Makefile config.mk
 	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@
 
 CLEANFILES+=	dhcpcd-embedded.h dhcpcd-embedded.c
 
-dhcpcd-embedded.h: genembedh dhcpcd-definitions.conf dhcpcd-embedded.h.in
+dhcpcd-embedded.h: genembedh ${DHCPCD_DEFS} dhcpcd-embedded.h.in
 	${HOST_SH} ${.ALLSRC} $^ > $@
 
-dhcpcd-embedded.c: genembedc dhcpcd-definitions.conf dhcpcd-embedded.h
+dhcpcd-embedded.c: genembedc ${DHCPCD_DEFS} dhcpcd-embedded.c.in
 	${HOST_SH} ${.ALLSRC} $^ > $@
 
 if-options.c: dhcpcd-embedded.h
@@ -102,9 +102,9 @@
 test:
 	cd $@; ${MAKE} $@; ./$@
 
-_embeddedinstall: dhcpcd-definitions.conf
+_embeddedinstall: ${DHCPCD_DEFS}
 	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
-	${INSTALL} -m ${CONFMODE} dhcpcd-definitions.conf ${DESTDIR}${SCRIPTSDIR}
+	${INSTALL} -m ${CONFMODE} ${DHCPCD_DEFS} ${DESTDIR}${SCRIPTSDIR}
 
 _proginstall: ${PROG}
 	${INSTALL} -d ${DESTDIR}${SBINDIR}
@@ -128,6 +128,8 @@
 	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
 	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
 		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}
+hooks:
+	cd dhcpcd-hooks; ${MAKE}; cd ..; done
 
 eginstall:
 	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done
@@ -150,18 +152,23 @@
 	rm -rf /tmp/${DISTPREFIX}
 	${INSTALL} -d /tmp/${DISTPREFIX}
 	cp -RPp * /tmp/${DISTPREFIX}
-	cd /tmp/${DISTPREFIX} && ${MAKE} distclean
-	cd /tmp && tar -cvjpf ${DISTFILE} ${DISTPREFIX}
-	mv /tmp/${DISTFILE} .
+	${MAKE} -C /tmp/${DISTPREFIX} distclean
+	tar cf - -C /tmp ${DISTPREFIX} | xz >${DISTFILE}
 	ls -l ${DISTFILE}
 
-import: ${SRCS}
+import: ${SRCS} hooks
 	rm -rf /tmp/${DISTPREFIX}
 	${INSTALL} -d /tmp/${DISTPREFIX}
-	cp ${SRCS} dhcpcd.conf dhcpcd-definitions.conf *.in /tmp/${DISTPREFIX}
-	cp $$(${CC} ${CPPFLAGS} -DDEPGEN -MM ${SRCS} | \
+	cp genembedc genembedh /tmp/${DISTPREFIX}
+	cp $$(echo ${SRCS} | sed -e 's/\(dhcpcd-embedded.[ch]\)/\1.in/') \
+		/tmp/${DISTPREFIX}
+	cp dhcpcd.conf dhcpcd-definitions.conf *.in /tmp/${DISTPREFIX}
+	cp dhcpcd-definitions-small.conf *.in /tmp/${DISTPREFIX}
+	cp $$(${CC} ${CPPFLAGS} -DDEPGEN -MM \
+		$$(echo ${SRCS} | sed -e 's/dhcpcd-embedded.c//') | \
 		sed -e 's/^.*\.c //g' -e 's/.*\.c$$//g' -e 's/\\//g' | \
 		tr ' ' '\n' | \
+		sed -e '/^dhcpcd-embedded.h$$/d' | \
 		sed -e '/^compat\//d' | \
 		sed -e '/^crypt\//d' | \
 		sort -u) /tmp/${DISTPREFIX}; \

=== dhcpcd-hooks/Makefile ===
TOP?=	../
include ${TOP}/Makefile.inc
include ${TOP}/iconfig.mk

SCRIPTSDIR=	${LIBEXECDIR}/dhcpcd-hooks
SCRIPTS=	01-test 02-dump
SCRIPTS+=	20-resolv.conf
SCRIPTS+=	30-hostname
SCRIPTS+=	${HOOKSCRIPTS}

# Some hooks should not be installed by default
FILESDIR=	${DATADIR}/dhcpcd/hooks
FILES=		10-wpa_supplicant
FILES+=		15-timezone
FILES+=		29-lookup-hostname
FILES+=		${EGHOOKSCRIPTS}

50-ypbind: 50-ypbind.in
	${SED} \
		-e 's:@YPDOMAIN_DIR@:${YPDOMAIN_DIR}:g' \
		-e 's:@YPDOMAIN_SUFFIX@:${YPDOMAIN_SUFFIX}:g' \
		50-ypbind.in > $@

all: ${HOOKSCRIPTS} ${EGHOOKSCRIPTS}

clean:
	rm -f 50-ypbind

proginstall: ${HOOKSCRIPTS}
	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
	${INSTALL} -m ${NONBINMODE} ${SCRIPTS} ${DESTDIR}${SCRIPTSDIR}
	# We need to remove the old MTU change script if we at all can.
	rm -f ${DESTDIR}${SCRIPTSDIR}/10-mtu

eginstall: ${EGHOOKSCRIPTS}
	${INSTALL} -d ${DESTDIR}${FILESDIR}
	${INSTALL} -m ${NONBINMODE} ${FILES} ${DESTDIR}${FILESDIR}

install: proginstall eginstall

import: ${HOOKSCRIPTS}
	${INSTALL} -d /tmp/${DISTPREFIX}/dhcpcd-hooks
	${INSTALL} -m ${NONBINMODE} ${SCRIPTS} /tmp/${DISTPREFIX}/dhcpcd-hooks
	${INSTALL} -m ${NONBINMODE} ${FILES} /tmp/${DISTPREFIX}/dhcpcd-hooks

=== debian/changelog ===
dhcpcd5 (6.11.5-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * debian/control:
   - Add lsb-base (>= 3.0-6) on depends, for the init script.
  * debian/patches:
   - Disable, merged upstream.
  * debian/copyright:
   - Update copyright.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 01 May 2017 18:50:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: dhcpcd5
 Section: net
 Priority: optional
-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.7
 Homepage: http://roy.marples.name/projects/dhcpcd
@@ -9,7 +10,7 @@
 Package: dhcpcd5
 Provides: dhcp-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
 Replaces: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
 Recommends: openresolv | resolvconf
 Suggests: dhcpcd-gtk

## dhcpcd5 7.0.8

=== debian/changelog ===
dhcpcd5 (7.0.8-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * New upstream release.
  * Non-maintainer upload.
    - Closes: #846938
  * Switch control/copyright files in secure mode

  [ Julien Lavergne ]
  * New upstream release.
  * debian/control:
   - Add lsb-base (>= 3.0-6) on depends, for the init script.
  * debian/patches:
   - Disable, merged upstream.
  * debian/copyright:
   - Update copyright.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 26 Sep 2018 10:03:43 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: dhcpcd5
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
+Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.7
-Homepage: http://roy.marples.name/projects/dhcpcd
+Homepage: https://roy.marples.name/projects/dhcpcd
 
 Package: dhcpcd5
 Provides: dhcp-client

## dhcpcd5 7.1.0

=== Makefile ===
SUBDIRS=	src hooks

VERSION!=	sed -n 's/\#define VERSION[[:space:]]*"\(.*\)".*/\1/p' src/defs.h

DIST!=		if test -f .fslckout; then echo "dist-fossil"; \
		elif test -d .git; then echo "dist-git"; \
		else echo "dist-inst"; fi
FOSSILID?=	current
GITREF?=	HEAD

DISTSUFFIX=
DISTPREFIX?=	dhcpcd-${VERSION}${DISTSUFFIX}
DISTFILEGZ?=	${DISTPREFIX}.tar.gz
DISTFILE?=	${DISTPREFIX}.tar.xz
DISTINFO=	${DISTFILE}.distinfo
DISTINFOSIGN=	${DISTINFO}.asc

CLEANFILES+=	*.tar.xz

.PHONY:		hooks import import-bsd tests

.SUFFIXES:	.in

all: config.h
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

depend: config.h
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

tests:
	cd $@; ${MAKE} $@

test: tests

hooks:
	cd $@; ${MAKE}

eginstall:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

install:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

proginstall:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

clean:
	rm -rf cov-int dhcpcd.xz
	for x in ${SUBDIRS} tests; do cd $$x; ${MAKE} $@; cd ..; done

distclean: clean
	rm -f config.h config.mk config.log \
		${DISTFILE} ${DISTFILEGZ} ${DISTINFO} ${DISTINFOSIGN}


dist-fossil:
	fossil tarball --name ${DISTPREFIX} ${FOSSILID} ${DISTFILEGZ}
	gunzip -c ${DISTFILEGZ} | xz >${DISTFILE}
	rm ${DISTFILEGZ}

dist-git:
	git archive --prefix=${DISTPREFIX}/ ${GITREF} | xz >${DISTFILE}

dist-inst:
	mkdir /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	(cd /tmp/${DISTPREFIX}; make clean)
	tar -cvjpf ${DISTFILE} -C /tmp ${DISTPREFIX}
	rm -rf /tmp/${DISTPREFIX}

dist: ${DIST}

distinfo: dist
	rm -f ${DISTINFO} ${DISTINFOSIGN}
	${CKSUM} ${DISTFILE} >${DISTINFO}
	#printf "SIZE (${DISTFILE}) = %s\n" $$(wc -c <${DISTFILE}) >>${DISTINFO}
	${PGP} --clearsign --output=${DISTINFOSIGN} ${DISTINFO}
	chmod 644 ${DISTINFOSIGN}
	ls -l ${DISTFILE} ${DISTINFO} ${DISTINFOSIGN}

snapshot:
	rm -rf /tmp/${DISTPREFIX}
	${INSTALL} -d /tmp/${DISTPREFIX}
	cp -RPp * /tmp/${DISTPREFIX}
	${MAKE} -C /tmp/${DISTPREFIX} distclean
	tar cf - -C /tmp ${DISTPREFIX} | xz >${DISTFILE}
	ls -l ${DISTFILE}

import: dist
	rm -rf /tmp/${DISTPREFIX}
	${INSTALL} -d /tmp/${DISTPREFIX}
	tar xvJpf ${DISTFILE} -C /tmp

include Makefile.inc

=== hooks/Makefile ===
TOP?=	../
include ${TOP}/iconfig.mk

PROG=		dhcpcd-run-hooks
BINDIR=		${LIBEXECDIR}
CLEANFILES=	dhcpcd-run-hooks
MAN8=		dhcpcd-run-hooks.8
CLEANFILES+=	dhcpcd-run-hooks.8

SCRIPTSDIR=	${HOOKDIR}
SCRIPTS=	01-test 02-dump
SCRIPTS+=	20-resolv.conf
SCRIPTS+=	30-hostname
SCRIPTS+=	${HOOKSCRIPTS}

# Some hooks should not be installed by default
FILESDIR=	${DATADIR}/dhcpcd/hooks
FILES=		10-wpa_supplicant
FILES+=		15-timezone
FILES+=		29-lookup-hostname
FILES+=		${EGHOOKSCRIPTS}

.SUFFIXES:	.in

.in: Makefile ${TOP}/config.mk
	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
		${SED_STATUSARG} \
		-e 's:@YPDOMAIN_DIR@:${YPDOMAIN_DIR}:g' \
		-e 's:@YPDOMAIN_SUFFIX@:${YPDOMAIN_SUFFIX}:g' \
		$< > $@

all: ${PROG} ${MAN8} ${SCRIPTS} ${EGHOOKSCRIPTS}

clean:
	rm -f ${CLEANFILES} 50-ypbind

depend:

proginstall: ${PROG} ${HOOKSCRIPTS}
	${INSTALL} -d ${DESTDIR}${BINDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${BINDIR}
	${INSTALL} -d ${DESTDIR}${SCRIPTSDIR}
	${INSTALL} -m ${NONBINMODE} ${SCRIPTS} ${DESTDIR}${SCRIPTSDIR}
	# We need to remove the old MTU change script if we at all can.
	rm -f ${DESTDIR}${SCRIPTSDIR}/10-mtu

eginstall: ${EGHOOKSCRIPTS}
	${INSTALL} -d ${DESTDIR}${FILESDIR}
	${INSTALL} -m ${NONBINMODE} ${FILES} ${DESTDIR}${FILESDIR}

maninstall: ${MAN8}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} ${MAN8} ${DESTDIR}${MANDIR}/man8

install: proginstall eginstall maninstall

import: ${HOOKSCRIPTS}
	${INSTALL} -d /tmp/${DISTPREFIX}/dhcpcd-hooks
	${INSTALL} -m ${NONBINMODE} ${SCRIPTS} /tmp/${DISTPREFIX}/dhcpcd-hooks
	${INSTALL} -m ${NONBINMODE} ${FILES} /tmp/${DISTPREFIX}/dhcpcd-hooks

include ${TOP}/Makefile.inc

=== src/Makefile ===
# dhcpcd Makefile

PROG=		dhcpcd
SRCS=		common.c control.c dhcpcd.c duid.c eloop.c logerr.c
SRCS+=		if.c if-options.c sa.c route.c
SRCS+=		dhcp-common.c script.c

CFLAGS?=	-O2
SUBDIRS+=	${MKDIRS}

TOP?=		..
include ${TOP}/iconfig.mk

CSTD?=		c99
CFLAGS+=	-std=${CSTD}
CPPFLAGS+=	-I${TOP} -I${TOP}/src -I./crypt

SRCS+=		${DHCPCD_SRCS}
DHCPCD_DEFS?=	dhcpcd-definitions.conf

PCOMPAT_SRCS=	${COMPAT_SRCS:compat/%=${TOP}/compat/%}
PCRYPT_SRCS=	${CRYPT_SRCS:compat/%=${TOP}/compat/%}
OBJS+=		${SRCS:.c=.o} ${PCRYPT_SRCS:.c=.o} ${PCOMPAT_SRCS:.c=.o}

MAN5=		dhcpcd.conf.5
MAN8=		dhcpcd.8
CLEANFILES=	dhcpcd.conf.5 dhcpcd.8

FILES=		dhcpcd.conf
FILESDIR=	${SYSCONFDIR}

DEPEND!=	test -e .depend && echo ".depend" || echo ""

CLEANFILES+=	*.tar.xz

.PHONY:		import import-bsd dev test

.SUFFIXES:	.in

.in: Makefile ${TOP}/config.mk
	${SED} ${SED_RUNDIR} ${SED_DBDIR} ${SED_LIBDIR} ${SED_HOOKDIR} \
		${SED_SYS} ${SED_SCRIPT} ${SED_DATADIR} \
		${SED_SERVICEEXISTS} ${SED_SERVICECMD} ${SED_SERVICESTATUS} \
		${SED_STATUSARG} \
		$< > $@

all: ${TOP}/config.h ${PROG} ${SCRIPTS} ${MAN5} ${MAN8}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

dev:
	cd dev && ${MAKE}

.c.o: Makefile ${TOP}/config.mk
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

CLEANFILES+=	dhcpcd-embedded.h dhcpcd-embedded.c

dhcpcd-embedded.h: genembedh ${DHCPCD_DEFS} dhcpcd-embedded.h.in
	${HOST_SH} ${.ALLSRC} $^ > $@

dhcpcd-embedded.c: genembedc ${DHCPCD_DEFS} dhcpcd-embedded.c.in
	${HOST_SH} ${.ALLSRC} $^ > $@

if-options.c: dhcpcd-embedded.h

.depend: ${SRCS} ${COMPAT_SRCS} ${CRYPT_SRCS}
	${CC} ${CPPFLAGS} -MM ${SRCS} ${COMPAT_SRCS} ${CRYPT_SRCS} > .depend

depend: .depend

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS} ${LDADD}

lint:
	${LINT} -Suz ${CPPFLAGS} ${SRCS} ${PCRYPT_SRCS} ${PCOMPAT_SRCS}

_embeddedinstall: ${DHCPCD_DEFS}
	${INSTALL} -d ${DESTDIR}${LIBEXECDIR}
	${INSTALL} -m ${CONFMODE} ${DHCPCD_DEFS} ${DESTDIR}${LIBEXECDIR}

_proginstall: ${PROG}
	${INSTALL} -d ${DESTDIR}${SBINDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DESTDIR}${SBINDIR}
	${INSTALL} -d ${DESTDIR}${DBDIR}

proginstall: _proginstall ${EMBEDDEDINSTALL}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

_maninstall: ${MAN5} ${MAN8}
	${INSTALL} -d ${DESTDIR}${MANDIR}/man5
	${INSTALL} -m ${MANMODE} ${MAN5} ${DESTDIR}${MANDIR}/man5
	${INSTALL} -d ${DESTDIR}${MANDIR}/man8
	${INSTALL} -m ${MANMODE} ${MAN8} ${DESTDIR}${MANDIR}/man8

_confinstall:
	${INSTALL} -d ${DESTDIR}${SYSCONFDIR}
	# Install a new default config if not present
	test -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.conf || \
		${INSTALL} -m ${CONFMODE} dhcpcd.conf ${DESTDIR}${SYSCONFDIR}
	# Attempt to move files from sysconfig to dbdir
	if [ ! -e ${DESTDIR}${DBDIR}/duid -a \
	    -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.duid ]; \
	then \
		mv ${DESTDIR}${SYSCONFDIR}/dhcpcd.duid \
			${DESTDIR}${DBDIR}/duid; \
	fi
	if [ ! -e ${DESTDIR}${DBDIR}/secret -a \
	    -e ${DESTDIR}${SYSCONFDIR}/dhcpcd.secret ]; \
	then \
		mv ${DESTDIR}${SYSCONFDIR}/dhcpcd.secret \
			${DESTDIR}${DBDIR}/secret; \
	fi
	# Move leases to new location
	for lease in ${DESTDIR}${DBDIR}/../dhcpcd-*.lease*; do \
		[ -f "$$lease" ] || continue; \
		newlease=$$(basename "$$lease" | ${SED} -e "s/dhcpcd-//"); \
		mv "$$lease" ${DESTDIR}${DBDIR}/"$$newlease"; \
	done
	# Move RDM monotonic to new location
	if [ ! -e ${DESTDIR}${DBDIR}/rdm_monotonic -a \
	    -e ${DESTDIR}${DBDIR}/../dhcpcd-rdm.monotonic ]; \
	then \
		mv ${DESTDIR}${DBDIR}/../dhcpcd-rdm.monotonic \
			${DESTDIR}${DBDIR}/rdm_monotonic; \
	fi
	
eginstall:

install: proginstall _maninstall _confinstall eginstall

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

distclean: clean
	rm -f .depend

include ${TOP}/Makefile.inc

=== tests/Makefile ===
SUBDIRS=	crypt eloop-bench

all: 
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

install:

proginstall:

clean:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

test:
	for x in ${SUBDIRS}; do cd $$x; ${MAKE} $@; cd ..; done

tests: test

=== src/dev/Makefile ===
TOP?=	../../
include ${TOP}/Makefile.inc
include ${TOP}/config.mk

CFLAGS?=	-O2
CSTD?=		c99
CFLAGS+=	-std=${CSTD}
CPPFLAGS+=	-I${TOP} -I${TOP}/src

DEVDIR=		${LIBDIR}/dhcpcd/dev
DSRC=		${DEV_PLUGINS:=.c}
DOBJ=		${DSRC:.c=.o}
DSOBJ=		${DOBJ:.o=.So}
DPLUGS=		${DEV_PLUGINS:=.so}

CLEANFILES+=	${DSOBJ} ${DPLUGS}

.SUFFIXES:	.So .so

.c.So:
	${CC} ${PICFLAG} -DPIC ${CPPFLAGS} ${CFLAGS} -c $< -o $@

.So.so: ${DSOBJ}
	${CC} ${LDFLAGS} -shared -Wl,-x -o $@ -Wl,-soname,$@ \
	    $< ${LIBS}

all: ${DPLUGS}

udev.So:
CFLAGS+=	${LIBUDEV_CFLAGS}
CPPFLAGS+=	${LIBUDEV_CPPFLAGS}

udev.so:
LIBS+=		${LIBUDEV_LIBS}

proginstall: ${DPLUGS}
	${INSTALL} -d ${DESTDIR}${DEVDIR}
	${INSTALL} -m ${BINMODE} ${PROG} ${DPLUGS} ${DESTDIR}${DEVDIR}

eginstall:

install: proginstall

clean:
	rm -f ${CLEANFILES}

=== tests/eloop-bench/Makefile ===
TOP?=	../..
include ${TOP}/iconfig.mk

PROG=		eloop-bench
SRCS=		eloop-bench.c
SRCS+=		${TOP}/src/eloop.c

CFLAGS?=	-O2
CSTD?=		c99
CFLAGS+=	-std=${CSTD}

#CPPFLAGS+=	-DNO_CONFIG_H
#CPPFLAGS+=	-DQUEUE_H=../compat/queue.h
CPPFLAGS+=	-I${TOP} -I${TOP}/src

# Default is to let eloop decide
#CPPFLAGS+=	-DHAVE_KQUEUE
#CPPFLAGS+=	-DHAVE_POLLTS
#CPPFLAGS+=	-DHAVE_PSELECT
#CPPFLAGS+=	-DHAVE_EPOLL
#CPPFLAGS+=	-DHAVE_PPOLL
CPPFLAGS+=	-DWARN_SELECT

PCOMPAT_SRCS=   ${COMPAT_SRCS:compat/%=${TOP}/compat/%}
OBJS+=          ${SRCS:.c=.o} ${PCOMPAT_SRCS:.c=.o}

.c.o: Makefile
	${CC} ${CFLAGS} ${CPPFLAGS} -c $< -o $@

all: ${PROG}

clean:
	rm -f ${OBJS} ${PROG} ${PROG}.core ${CLEANFILES}

distclean: clean
	rm -f .depend

depend:

${PROG}: ${DEPEND} ${OBJS}
	${CC} ${LDFLAGS} -o $@ ${OBJS}

test: ${PROG}
	./${PROG}

=== debian/changelog ===
dhcpcd5 (7.1.0-2) unstable; urgency=high

  * Apply upstream patches to fix potential security vulnerabilities:
    CVE-2019-11578, CVE-2019-11579, CVE-2019-11577, and CVE-2019-11766.
    (Closes: #928056, #928104, #928105, #928440)
  * Add lintian override for upstream patch spelling

 -- Scott Leggett <scott@sl.id.au>  Sun, 05 May 2019 21:55:14 +0800

dhcpcd5 (7.1.0-1) unstable; urgency=low

  * Upstream release 7.1.0

 -- Scott Leggett <scott@sl.id.au>  Thu, 07 Feb 2019 08:54:56 +1100

dhcpcd5 (7.0.8-2) unstable; urgency=low

  * Fix quoting in autopkgtest-setup script
  * Add tests for /sbin/dhcpcd symlink
  * Add compatibility symlink for /sbin/dhcpcd (Closes: #920292)
  * Bump Standards-Version

 -- Scott Leggett <scott@sl.id.au>  Thu, 24 Jan 2019 22:56:05 +1100

dhcpcd5 (7.0.8-1) unstable; urgency=low

  * Remove unused lintian override
  * Update watch URL to HTTPS
  * Bump standards and compat versions
  * Add patch for typo in manpage
  * Revert to upstream binary naming
  * Update maintainer scripts
  * Update debian/copyright
  * Update init script for new binary location
  * Add systemd service file
  * Update package maintainer (Closes: #914070)
  * Run wrap-and-sort over the package
  * Add VCS fields to control file
  * Add hooks for chrony, ntp, systemd-timesyncd, and openntpd (Closes: #863462)
  * Add autopkgtest-virt-ssh setup script
  * Add autopkgtests for NTP hook scripts
  * Disable built-in NTP hook script
  * Update debian/copyright

 -- Scott Leggett <scott@sl.id.au>  Thu, 27 Dec 2018 22:26:40 +1100

=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Maintainer: Scott Leggett <scott@sl.id.au>
Build-Depends:
 debhelper (>= 11)
Standards-Version: 4.3.0
Homepage: https://roy.marples.name/projects/dhcpcd
Vcs-Browser: https://salsa.debian.org/smlx-guest/dhcpcd5
Vcs-Git: https://salsa.debian.org/smlx-guest/dhcpcd5.git

Package: dhcpcd5
Provides:
 dhcp-client
Architecture: any
Depends:
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends}
Replaces:
 dhcpcd (<< 3.2.3-6),
 dhcpcd-sv
Recommends:
 openresolv | resolvconf
Suggests:
 dhcpcd-gtk
Description: DHCPv4, IPv6RA and DHCPv6 client with IPv4LL support
 dhcpcd is a one stop network management daemon which includes
  * RFC compliant DHCPv4 and DHCPv6 clients
  * DHCPv6 Prefix Delegation support
  * IPv4LL (aka ZeroConf) support
  * ARP address conflict resolution
  * Link carrier detection
  * Wireless SSID profiles
  * ARP ping profiles

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--mandir=/usr/share/man \
		--dbdir=/var/lib/dhcpcd \
		--libexecdir=/lib/dhcpcd \
		--rundir=/run

# avoid starting the unconfigured service as it may break connectivity

override_dh_installinit:
	dh_installinit --name=dhcpcd --no-start

override_dh_installsystemd:
	dh_installsystemd --name=dhcpcd --no-start

=== debian/watch ===
version=3
https://roy.marples.name/downloads/dhcpcd/dhcpcd-([0-9\.]*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz))) debian uupdate

## dhcpcd5 8.1.2

=== debian/changelog ===
dhcpcd5 (1:8.1.2-1+rpt1) buster; urgency=medium

  * New upstream version 8.1.2
  * Remove -0001-Linux-Validate-RTM_DELADDR-RTM_NEWADDR-messages-for-.patch
  * Disable sanitisation

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 13 Nov 2019 14:44:50 +0000

dhcpcd5 (1:8.1.1-1+rpt2) buster; urgency=medium

  * Bump update-alternatives to 150

 -- Serge Schneider <serge@raspberrypi.org>  Fri, 25 Oct 2019 12:38:32 +0100

dhcpcd5 (1:8.1.1-1+rpt1) buster; urgency=medium

  * New upstream release
  * Validate RTM_DELADDR/RTM_NEWADDR messages for IPv6

 -- Serge Schneider <serge@raspberrypi.org>  Wed, 23 Oct 2019 12:07:37 +0100

dhcpcd5 (1:7.0.8-0.1+rpt1) buster; urgency=medium

  * Add systemd service
  * Enable wpa_supplicant hook
  * Bump epoch
  * Make dhcpcd.conf writable by netdev group
  * Prevent dhcpcd from running when /etc/network/interface is configured
  * Fix 50-ntp.conf hook
    https://github.com/RPi-Distro/repo/issues/81
  * Add static IP example in dhcpcd.conf
  * Default wpa_supplicant_driver to nl80211,wext
  * Add pkg-config build-dep

 -- Serge Schneider <serge@raspberrypi.org>  Thu, 24 Jan 2019 14:05:00 +0000

=== debian/control ===
Source: dhcpcd5
Section: net
Priority: optional
Maintainer: Jose dos Santos Junior <j.s.junior@live.com>
Build-Depends: debhelper (>= 9.20160709), libudev-dev, pkg-config
Standards-Version: 3.9.7
Homepage: https://roy.marples.name/projects/dhcpcd

Package: dhcpcd5
Provides: dhcp-client
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.0-6)
Replaces: dhcpcd-sv, dhcpcd (<< 3.2.3-6)
Recommends: openresolv | resolvconf
Suggests: dhcpcd-gtk
Description: DHCPv4, IPv6RA and DHCPv6 client with IPv4LL support
 dhcpcd is a one stop network management daemon which includes
  * RFC compliant DHCPv4 and DHCPv6 clients
  * DHCPv6 Prefix Delegation support
  * IPv4LL (aka ZeroConf) support
  * ARP address conflict resolution
  * Link carrier detection
  * Wireless SSID profiles
  * ARP ping profiles

=== debian/rules ===
#!/usr/bin/make -f
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with systemd

override_dh_auto_clean:
	[ ! -f config.mk ] || dh_auto_clean

override_dh_auto_configure:
	dh_auto_configure -- --prefix= --libexecdir=/lib/dhcpcd \
		--mandir=/usr/share/man --dbdir=/var/lib/dhcpcd5 \
		--with-hooks="ntp wpa_supplicant" --host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE)

override_dh_installinit:
	dh_installinit --name=dhcpcd --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name=dhcpcd

override_dh_install:
	dh_install
	mv debian/dhcpcd5/sbin/dhcpcd debian/dhcpcd5/sbin/dhcpcd5
	mv debian/dhcpcd5/usr/share/man/man8/dhcpcd.8 \
		debian/dhcpcd5/usr/share/man/man8/dhcpcd5.8
